function [omegaidx] = omega_index(X, Y)
[N,P1] = size(X);
[Nx,P2] = size(Y);
pmin = min(P1,P2);
T = zeros(P1+1,P2+1);
for i = 1:N-1
    for j = i+1:N
        xct = 0;
        yct = 0;
        for k = 1:P1
            if X(i,k) == 1 && X(j,k) == 1
                xct = xct + 1;
            end
        end
        for k = 1:P2
            if Y(i,k) == 1 && Y(j,k) == 1
                yct = yct + 1;
            end
        end
        T(xct+1,yct+1) = T(xct+1,yct+1) + 1;
    end
end
colsum  = sum(T); 
rowsum = sum(T,2);
n = (N*(N-1))./2;
piece2 = 0;
piece1 = 0;
for j = 1:pmin+1
    piece2 = piece2 + rowsum(j).*colsum(j);
    piece1 = piece1 + T(j,j);
end
piece1 = n.*piece1;
omegaidx = (piece1 - piece2)./(n.^2 - piece2);
